## Quark-fetch

### 安装

```bash
npm方式：npm i @quark-base-plugin/request
yarn方式：yarn add @quark-base-plugin/request
pnpm方式：pnpm add @quark-base-plugin/request
```

### 使用
```js
import createRequestInstance from "@quark-base-plugin/request";

    const requests = createRequestInstance({
      baseURLs: {
        aaaService: {
          baseURL: "https://api.xxx.cn/api",
        },
        bbbbService: {
          baseURL: "http://api.bbb.com/api",
          // 加密配置
          cryptoConfig: {
            encryptUrl: true, // 请求url路径加密
            encryptParams: true, // 请求参数加密
          },
        },
      },
    });

    const { aaaService, bbbbService } = requests;

    const aResult = await aaaService("/user/HotList", {
        method: "GET",
      });
    const bResult = await bbbbService("/weather/list"); 
```

### 基于axios请求库和业务的二次封装

实现功能
- [x] 请求超时
- [ ] 请求失败重试
- [ ] 请求失败统一处理 
- [x] 接口路径/参数/返回值加密
- [x] 取消重复请求
<!-- - [ ] 支持baseURL多环境配置 -->
- [x] 支持多服务配置